Subject: [alpine-aports] [PATCH] testing/the_silver_searcher: new aport

From: Muh Muhten <[email-masked]>
Date: Tue, 25 Aug 2015 09:36:09 -0400

---
 testing/the_silver_searcher/APKBUILD | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)
 create mode 100644 testing/the_silver_searcher/APKBUILD

diff --git a/testing/the_silver_searcher/APKBUILD b/testing/the_silver_searcher/APKBUILD
new file mode 100644
index 0000000..7f5da30
--- /dev/null
+++ b/testing/the_silver_searcher/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Michael Zuo <[email-masked]>
+# Maintainer:
+pkgname=the_silver_searcher
+pkgver=0.30.0
+pkgrel=0
+pkgdesc="A code searching tool similar to ack, with a focus on speed."
+url="http://geoff.greer.fm/ag/"
+arch="all"
+license="Apache"
+depends=""
+makedepends="pcre-dev xz-dev"
+subpackages=""
+source="http://geoff.greer.fm/ag/releases/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build () {
+	cd $srcdir/$pkgname-$pkgver
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
+	make
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="95e2e7859fab1156c835aff7413481db  the_silver_searcher-0.30.0.tar.gz"
+sha256sums="b4bf9e50bf48bc5fde27fc386f7bcad8644ef15a174c862a10813e81bd127e69  the_silver_searcher-0.30.0.tar.gz"
+sha512sums="e41f9d00b6588d304c11216e1bf86cae8135d29022da35b8f1b3e2337b9b9b5f7e37756ed35e065d29636c6ad4b79725a73c8df212c2423b4e9fea64ae2d657f  the_silver_searcher-0.30.0.tar.gz"
-- 
2.3.2 (Apple Git-55)

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---